Summary: Firmware for the Intel PRO/Wireless 2100 Driver
Name: ipw2100-firmware
Version: 1.3
Release: 3plf
License: distributable
Group: System/Kernel and hardware
URL: http://ipw2100.sourceforge.net/firmware.php
Source0: http://bughost.org/firmware/ipw2100-fw-%version.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
This package contains the firmware for the ipw2100 driver.
Usage of the firmware is subject to the terms contained in
LICENSE.  Please read the license carefully.

This package is in plf because firmware is not free itself,
it can only be distributed.

%prep
%setup -q -c

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p *.fw %{buildroot}/lib/firmware/
%if %mdkversion <= 200600
mkdir -p %{buildroot}/lib/hotplug/firmware/
cd %{buildroot}/lib/firmware
for file in *.fw; do
	ln -s %{_sysconfdir}/firmware/$file %{buildroot}%{_libdir}/hotplug/firmware/
	ln -s /lib/firmware/$file %{buildroot}/lib/hotplug/firmware/
done
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE
/lib/firmware/*.fw
%if %mdkversion <= 200600
/lib/hotplug/firmware/*.fw
%endif

%changelog
* Mon Oct  3 2005 Pascal Terjan <pterjan@zarb.org> 1.3-3plf
- go to /lib/firmware

* Wed Mar  2 2005 Olivier Blin <oblin@mandrakesoft.com> 1.3-2plf
- fix summary ended with dot
- fix description

* Sat Feb 26 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.3-1plf
- 1.3
 
* Fri Aug 20 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2-1plf
- 1st plf release
 
* Wed Jul 21 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to firmware version 1.2.

* Tue May 11 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to firmware version 1.1.

* Tue May 11 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Change description to explicitly point to the LICENSE file.

* Sat May  8 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
